package com.colorful.keyboard.theme

import android.app.Application
import com.anythink.core.api.ATSDK
import com.colorful.keyboard.theme.firebase.RemoteConfig
import com.colorful.keyboard.theme.myutil.Utils
import com.colorful.keyboard.theme.room.DownloadManager
import java.util.concurrent.atomic.AtomicLong

class App : Application() {
    companion object {
        lateinit var app: App
            private set

        lateinit var downloadManager: DownloadManager
            private set
    }

    var lastAdDisplayTime: AtomicLong = AtomicLong(0L)//上次广告展示的时间

    override fun onCreate() {
        super.onCreate()
        app = this
        Utils.init(this)
        downloadManager = DownloadManager.getInstance(this)
        RemoteConfig.instance.init(this)
        ATSDK.init(this, "h66b1cef2a9a51", "a90d2376d3e1dd2bd9bb5cb4f8296085f")
//        ATSDK.integrationChecking(this)
//        ATSDK.setNetworkLogDebug(true)
    }
}